---
acme_vault_client_secrets: "{{ lookup('community.hashi_vault.hashi_vault', 'acme/data/server-creds/postgresql.th2.hxg.prologin.dev') }}"
acme_vault_client_role_id: "{{ acme_vault_client_secrets['role_id'] }}"
acme_vault_client_secret_id: "{{ acme_vault_client_secrets['secret_id'] }}"

acme_vault_client_certs:
  - domain: postgresql.th2.hxg.prologin.dev
    user: postgres
    group: postgres
    mode: "0500"
    postrun: |
      systemctl reload postgresql.service
